Subject: Amazon Order: Welburn Accent Bench
From: Daaimah Tibrey <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 7 Apr 2022 16:20:05 -0700

Hello, the left arm of the bench has arrived damaged and inoperable. Please
advise how you can help to repair or replace the seating unit.

Daaimah Tibrey
5599913250
-- 
Daaimah A. Tibrey
_____________________________________

“ You have been paid for. Each of you, Black, White, Brown, Yellow,
Red—whatever pigment you use to describe yourselves—has been paid for. But
for the sacrifices made by some of your ancestors, you would not be here;
they have paid for you. So, when you enter a challenging situation, bring
them on the stage with you; let their distant voices add timbre and
strength to your words. For it is your job to pay for those who are yet to
come.” Maya Angelou